Skip to main content

Delete a certificate credential

DELETE 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/certificates/:extId

Since: 2.71.0

Required permission(s): AccessControl.CredentialDelete or SelfAdmin Role

Deletes the certificate credential with the specified external ID belonging to the given user.

Note that deleting a certificate credential may result in loss of system access for the user if the certificate is used for client authentication.

In self-admin mode, a valid JWT token must be provided in the X-Token request header. The self-admin user can only delete their own certificate credentials.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the certificate credential.

    Example: cert-123

Responses

Certificate credential deleted successfully

Loading...